@charset "utf-8";

/* --------------------------------------------

	共通

---------------------------------------------- */

/* セクション */
section.sec__wrap {
    width: 90%;
    max-width: 1400px;
    margin: 0 auto;
    padding: 16rem 0;
}

@media only screen and (max-width:1500px) {
    section.sec__wrap {
        max-width: 1200px;
    }
}

@media only screen and (max-width:1300px) {
    section.sec__wrap {
        max-width: 1000px;
    }
}

@media only screen and (max-width:1100px) {
    section.sec__wrap {
        max-width: 960px;
    }
}

@media only screen and (max-width:640px) {
    section.sec__wrap {
        padding: 8rem 0;
    }
}


/* --------------------------------------------

	全体

---------------------------------------------- */

/* 背景グラデーション */
.index__bg {
    margin-top: -127px;
    background: url(../_image/index/firstView__bg.webp) no-repeat top center / cover;
}

/* 背景 紫 */
.index__bg.-purple {
    margin-top: 0;
    background: var(--c-purple);
}

.main {
    padding-top: 127px;
}

@media only screen and (max-width:640px) {
    .index__bg {
        margin-top: -130px;
        background: url(../_image/index/firstView__bg-sp.webp) no-repeat top center / cover;
        overflow: hidden;
    }

    .main {
        padding-top: 130px;
    }
}


/* --------------------------------------------

	mv

---------------------------------------------- */

.mv {
    position: relative;
    margin-bottom: 12rem;
    padding-top: 127px;
}

.mv__contents {
    position: relative;
    display: flex;
    align-items: center;
    max-width: 960px;
    height: 100vh;
    max-height: 953px;
    margin: 0 auto;
    z-index: 1;
}

/* キービジュアル */
.mv__keyV {
    position: absolute;
    top: 0;
    right: 0;
    width: 770px;
    height: 770px;
    
    opacity: 0;
    transform: translateY(20px);
    animation: fadeSlideUp 1.2s ease-out forwards;
    animation-delay: 0.3s;
}

.animated-gradients {
    animation: floatScale 9s ease-in-out infinite;
    transform-origin: center center;
}

@keyframes floatScale {
    0%   { transform: scale(1); }
    50%  { transform: scale(1.025); }
    100% { transform: scale(1); }
}

.animated-gradients path {
    mix-blend-mode: normal;
}

/* keyV -1- */
.primary-stop1 {
    stop-color: #b89e9e;
    animation: gradient1a 5s infinite alternate;
}

.primary-stop2 {
    stop-color: #cfd9e3;
    animation: gradient1b 5s infinite alternate;
    animation-delay: 1s;
}

.primary-stop3 {
    stop-color: #7890b9;
    animation: gradient1c 5s infinite alternate;
    animation-delay: 2s;
}

@keyframes gradient1a {
    0% { stop-color: #b89e9e; }
    100% { stop-color: #7890b9; }
}

@keyframes gradient1b {
    0% { stop-color: #cfd9e3; }
    100% { stop-color: #b89e9e; }
}

@keyframes gradient1c {
    0% { stop-color: #7890b9; }
    100% { stop-color: #cfd9e3; }
}

/* keyV -2- */
.secondary-stop1 {
    stop-color: #7890b9;
    animation: gradient2a 8s infinite alternate;
}

.secondary-stop2 {
    stop-color: #cfd9e3;
    animation: gradient2b 8s infinite alternate;
    animation-delay: 2s;
}

.secondary-stop3 {
    stop-color: #b89e9e;
    animation: gradient2c 8s infinite alternate;
    animation-delay: 4s;
}

@keyframes gradient2a {
    0% { stop-color: #7890b9; }
    100% { stop-color: #b89e9e; }
}

@keyframes gradient2b {
    0% { stop-color: #cfd9e3; }
    100% { stop-color: #7890b9; }
}

@keyframes gradient2c {
    0% { stop-color: #b89e9e; }
    100% { stop-color: #cfd9e3; }
}

/* メインコピー */
.mv__copy {
    display: block;
    color: var(--c-white);
    z-index: 9;
}

.mvCopy__main {
    margin-top: 5rem;
    margin-bottom: 5rem;
    line-height: 1.25;
    letter-spacing: 0.01em;
    font-size: var(--fz-mvCopy);
    font-weight: var(--fw-regular);
    text-shadow: 0 0 6px rgba(120, 144, 185, 0.4), 
    0 0 12px rgba(120, 144, 185, 0.4);

    opacity: 0;
    transform: translateY(20px);
    animation: fadeSlideUp 1.2s ease-out forwards;
    animation-delay: 0.9s;
}

@keyframes fadeSlideUp {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.mvCopy__sub {
    display: inline-block;
    font-size: var(--fz-mvCopy-s);
    text-shadow: 0 0 4px rgba(120, 144, 185, 0.4), 
    0 0 10px rgba(120, 144, 185, 0.4);
    overflow: hidden;
    white-space: nowrap;
    border-right: 1px solid rgba(255,255,255,0.7);
    width: 0;
    opacity: 0;
    animation: 
        typing 2.4s steps(24, end) 1.5s forwards,
        cursorFadeOut 0.3s ease-out 4.3s forwards;
}

@keyframes typing {
    from {
        width: 0;
        opacity: 1;
    }
    to {
        width: 90%;
        opacity: 1;
    }
}

@keyframes cursorFadeOut {
    from {
        border-right: 1px solid rgba(255,255,255,0.7);
    }
    to {
        border-right: none;
    }
}

/* 微粒子のイメージ */
.mv__bubbles {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100vh;
    transform: translate(-50%, -50%);
    overflow: hidden;
    pointer-events: none;
    z-index: 2;
}

.circle_container {
    position: absolute;
    top: 50%;
    left: 50%;
    height: 10px;
    transform-origin: left center;
}

.circle {
    position: absolute;
    border-radius: 100%;
    background: rgba(255, 255, 255, 0.3);
    left: 0;
    opacity: 0;
    animation: move 40s infinite;
}

@keyframes move {
    0% {
        transform: translateX(0px);
        opacity: 0;
    }
    10% {
        opacity: 1;
    }
    80% {
        opacity: 0.5;
    }
    100% {
        transform: translateX(150vmin) scale(1.8);
        opacity: 0;
    }
}

/* ---------- modal ---------- */

.mv__copy > button:last-child {
    display: block;
    margin-left: auto;
}

.modal-open-btn {
    transform: translateY(20px);
    width: 60px;
    height: 60px;
    padding-left: 2.5rem;
    font-size: var(--fz-m);
    color: var(--c-white);
    white-space: nowrap;
    background-color: rgba(120, 144, 185, 0.8);
    box-shadow: 0 0 15px rgba(120, 144, 185, 0.6);
    border: none;
    border-radius: 100%;
    cursor: pointer;
    transition: background-color 0.3s ease, opacity 1s ease, transform 1s ease;
    opacity: 0;
    z-index: 10;
}

.modal-open-btn.show {
    opacity: 1;
    transform: translateY(0);
}

@media (hover:hover) {
    .modal-open-btn:hover {
        background: rgba(120, 144, 185, 1);
        transition: background-color 0.3s ease;
    }
}

.modal {
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    width: 100%;
    height: 100%;
    background: rgba(54, 58, 100, 0.6);
    z-index: 100;
}

.modal__contents {
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    max-width: 500px;
    padding: 2.5rem 4rem;
    text-align: center;
    background: var(--c-white);
    border-radius: 1rem;
}

.modal__contents h2 {
    margin-bottom: 1rem;
    text-align: center;
}

.modal__close {
    position: absolute;
    top: 10px;
    right: 10px;
    color: var(--c-purple);
    font-size: 3rem;
    background: none;
    border: none;
    cursor: pointer;
}

/* ---------- スクロールバー ---------- */

.scroll-bar {
    position: absolute;
    bottom: 0;
    right: 20px;
}

.scroll-bar span {
    display: inline-block;
    padding: 10px 10px 70px;
    font-size: var(--fz-s);
    font-weight: var(--fw-bold);
    line-height: 1.0;
    writing-mode: vertical-lr;
}

.scroll-bar span::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 2px;
    height: 200px;
    background: var(--c-text);
}

.scroll-bar span::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 2px;
    height: 200px;
    background: var(--c-white);
    animation: sdl01 3.5s cubic-bezier(0.42, 0, 0.58, 1) infinite;
}

@keyframes sdl01 {
    0% {
        transform: scale(1, 0);
        transform-origin: 0 0;
    }
    50% {
        transform: scale(1, 1);
        transform-origin: 0 0;
    }
    50.1% {
        transform: scale(1, 1);
        transform-origin: 0 100%;
    }
    100% {
        transform: scale(1, 0);
        transform-origin: 0 100%;
    }
}

@media only screen and (max-width:640px) {
    .mv {
        padding-top: 130px;
        margin-bottom: 2rem;
    }

    .mv__contents {
        justify-content: center;
        width: 95%;
        max-height: calc(100vh - 130px);
    }

    .mv__contents::before {
        top: 0;
        left: 0;
        margin-inline: auto;
        width: 85%;
        height: 85%;
    }

    .mv__keyV {
        top: 0;
        bottom: 0;
        margin-block: auto;
        left: 0;
        margin-inline: auto;
        width: 90%;
        height: 90%;
    }

    .mvCopy__main {
        margin-top: 15%;
        margin-bottom: 2rem;
    }

    .mv__bubbles {
        top: 34%;
    }

    .mv__copy > button:last-child {
        margin-right: 15%;
    }

    .modal-open-btn {
        padding-left: 1.5rem;
        font-size: var(--fz-s);
    }

    .modal__contents {
        width: 95%;
        max-width: 600px;
        padding: 1.8rem 3rem;
    }

    .modal__contents h2 {
        font-size: var(--fz-xl);
        font-weight: var(--fw-medium);
    }

    .modal__close {
        position: absolute;
        top: 10px;
        right: 10px;
        color: var(--c-purple);
        font-size: 3rem;
        background: none;
        border: none;
        cursor: pointer;
    }

    .scroll-bar {
        right: 10px;
    }

    .scroll-bar span {
        padding: 0 10px 35px;
        font-size: var(--fz-xs);
    }

    .scroll-bar span::before {
        width: 3px;
        height: 200px;
    }
    
    .scroll-bar span::after {
        width: 3px;
        height: 200px;
    }
}


/* --------------------------------------------

	about

---------------------------------------------- */

.sec__wrap#about {
    padding-top: 0;
    padding-bottom: 34rem;
}

.about__contents {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding: 6rem 0;
}

.about__contents > img {
    max-width: 640px;
}

.textContents {
    max-width: 600px;
    line-height: 2.2;
    font-size: var(--fz-l);
    font-weight: var(--fw-medium);
}

.textContents p {
    margin-bottom: 6rem;
}

.textContents .linkBtn {
    margin-left: auto;
}

@media only screen and (max-width:1500px) {
    .about__contents > img {
        max-width: 540px;
    }

    .textContents {
        max-width: 500px;
    }
}

@media only screen and (max-width:1300px) {
    .about__contents > img {
        max-width: 440px;
    }

    .textContents {
        max-width: 480px;
    }
}

@media only screen and (max-width:1100px) {
    .about__contents > img {
        max-width: 440px;
    }

    .textContents {
        max-width: 440px;
    }
}

@media only screen and (max-width:640px) {
    .sec__wrap#about {
        width: 100%;
        padding-bottom: 16rem;
    }

    .sec__wrap#about .sec__title {
        width: 90%;
        margin: 0 auto 1.2rem;
    }
    
    .sec__wrap#about .sec__title.-sub {
        display: block;
        width: 90%;
        margin: 0 auto;
    }

    .about__contents {
        flex-direction: column;
        padding: 3rem 0 0;
    }

    .about__contents > img {
        order: 2;
        width: 90%;
        max-width: none;
    }

    .textContents {
        font-size: var(--fz-m);
        line-height: 1.8;
    }

    .about__contents .textContents {
        order: 1;
        align-self: flex-end;
        max-width: none;
        margin-bottom: 6rem;
    }

    .about__contents .textContents p {
        width: 90%;
        margin: 0 auto 3rem;
    }
}


/* --------------------------------------------

	news

---------------------------------------------- */

section.sec__wrap#news {
    max-width: 1200px;
}

#news .sec__title {
    margin-bottom: 6rem;
    text-align: center;
}

.news__item {
    margin-bottom: 3rem;
}

.news__item:last-child {
    margin-bottom: 0;
}

.news__link {
    display: block;
    border: solid 1px #5a5da1;
}

@media (hover:hover) {
	a.news__link:hover {
		opacity: 0.7;
		transition: 0.4s
	}
}

.news__header {
    display: flex;
    align-items: center;
    gap: 40px;
    border-bottom: solid 1px #5a5da1;
}

.news__date {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 60px;
    min-width: 60px;
    height: 60px;
    text-align: center;
    line-height: 1.5;
    letter-spacing: 0.03em;
    color: var(--c-white);
    font-family: var(--ff-alphanum);
    font-size: var(--fz-s);
    background-color: var(--c-purple);
}

.news__title {
    padding-right: 2rem;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.news__article {
    padding: 2rem 2rem 2rem 100px;
}

.news__article p {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

/* ---------- アコーディオン ---------- */

.accordion__toggle {
    width: 960px;
    margin: 6rem auto 0;
    padding: 2.5rem;
    cursor: pointer;
    user-select: none;
}

.accordion__toggle.is-active .c-arrow-bottom {
    transform: rotate(180deg);
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
}

.accordion__contents {
    display: none;
    margin-top: 6rem;
}

@media only screen and (max-width:1300px) {
    section.sec__wrap#news {
        max-width: 1000px;
    }
}

@media only screen and (max-width:1100px) {
    section.sec__wrap#news {
        max-width: 960px;
    }
}

@media only screen and (max-width:640px) {
    section.sec__wrap#news {
        width: 95%;
    }

    #news .sec__title {
        margin-bottom: 3rem;
    }

    .news__header {
        gap: 20px;
    }

    .news__date {
        align-self: flex-start;
        width: 80px;
        min-width: 80px;
        height: 80px;
        line-height: 1.4;
        font-size: var(--fz-xs);
    }
    
    .news__title {
        margin: 10px 0;
        padding: 0 20px 0 0;
        font-size: 1.4rem;
        line-height: 1.5;
        -webkit-line-clamp: 3;
    }

    .news__article {
        padding: 10px 20px 10px 100px;
    }
    
    .news__article p {
        font-size: 1.3rem;
        line-height: 1.5;
        -webkit-line-clamp: 4;
    }

    /* ---------- アコーディオン ---------- */

    .accordion__toggle {
        width: 100%;
        margin: 3rem auto 0;
    }

    .accordion__contents {
        margin-top: 3rem;
    }
}


/* --------------------------------------------

	link

---------------------------------------------- */

.sec__wrap#link {
    max-width: 960px;
    padding-top: 0;
}

.link__contents {
    display: flex;
    gap: 2rem;
}

.link__contents li a {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.banner__title {
    position: absolute;
    color: var(--c-white);
    line-height: 1.6;
    font-weight: var(--fw-bold);
}

@media only screen and (max-width:640px) {
    .sec__wrap#link {
        width: 75%;
    }

    .link__contents {
        flex-direction: column;
        gap: 1.5rem;
    }
}

/* --------------------------------------------

	contact

---------------------------------------------- */

.sec__wrap#contact {
    max-width: 960px;
    padding-top: 6rem;
    padding-bottom: 6rem;
}

#contact .sec__title {
    margin-bottom: 3rem;
    color: var(--c-white);
}

#contact .textContents {
    max-width: none;
    color: var(--c-white);
}

#contact .textContents p {
    margin-bottom: 1rem;
    font-size: var(--fz-m);
}

.mailAddress {
    display: flex;
    gap: 1rem;
    align-items: center;
}

.mailAddress img {
    width: 200px;
}

@media only screen and (max-width:640px) {
    .sec__wrap#contact {
        padding-top: 4rem;
        padding-bottom: 4rem;
    }

    .mailAddress img {
        width: 300px;
    }
}